Bug 724845 - Client chokes on whitespace in zanata.xml
Client chokes on whitespace in zanata.xml
Status: CLOSED NOTABUG
Product: Zanata
Classification: Community
Component: Component-PythonClient (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: zanata-dev-internal
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-21 20:51 EDT by Joshua Wulf
Modified: 2014-10-19 18:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-16 23:18:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2011-07-21 20:51:37 EDT
put a single whitespace in front of the xml declaration at the start of a zanata.xml and the client blows up when you try to push. 

It should handle whitespace. This is xml, not python!


Works:

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
    <config xmlns="http://flies.openl10n.net/config/v1/">
    <url>http://flies-devel.englab.bne.redhat.com</url>
    <project>anaconda</project>
    <project-version>rhel6</project-version>
    <locales>
      <locale>af</locale>
      <locale>am</locale>
      <locale>as</locale>
      <locale>ar</locale>
    </locales>
 </config>

Explodes:

 <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
    <config xmlns="http://flies.openl10n.net/config/v1/">
    <url>http://flies-devel.englab.bne.redhat.com</url>
    <project>anaconda</project>
    <project-version>rhel6</project-version>
    <locales>
      <locale>af</locale>
      <locale>am</locale>
      <locale>as</locale>
      <locale>ar</locale>
    </locales>
 </config>
Comment 1 Sean Flanigan 2011-09-07 00:33:17 EDT
Assigning to Scrum product owner for prioritisation.
Comment 2 Sean Flanigan 2011-10-16 23:18:39 EDT
Sorry, but white space is not allowed before the XML declaration:

$ xmllint zanata.xml
zanata.xml:1: parser error : XML declaration allowed only at the start of the document
 <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
      ^

Note You need to log in before you can comment on or make changes to this bug.